Skip to main content
PATCH
Update a contact

Authorizations

Authorization
string
header
required

OAuth access token or Slant personal access token (slnt_pat_...). Read-only personal tokens allow GET requests only.

Path Parameters

id
string
required

The contact ID

Body

application/json
business_id
string | null

Saved Business affiliation ID in the contact book. Omit to preserve; null clears. Independent of employment.

custom_fields
object

Custom field values as key-value pairs. Keys must match custom field keys defined for the Contact entity type.

Example:

Response

successful

id
string
required

The contact ID

Example:

"abc123xyz"

book_id
string
required

The book ID

Example:

"book123xyz"

person
object
required
created_at
string<date-time>
required

When the contact was created

updated_at
string<date-time>
required

When the contact was last updated

business_id
string | null

Saved Business affiliation ID, independent of employment

business
object | null
custom_fields
object

Custom field values as key-value pairs

Example:
tags
object[]